WP6Part Class Referenceabstract

`#include <WP6Part.h>`

Inheritance diagram for WP6Part:

## Public Member Functions

virtual | ~WP6Part ()
virtual void | parse (WP6Listener *listener)=0

## Static Public Member Functions

static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ~WP6Part()

virtual WP6Part::~WP6Part | ( |  | ) |

inline virtual

## Member Function Documentation

## constructPart()

WP6Part * WP6Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | const unsigned char | readVal )

static

Referenced by WP6Parser::parseDocument().

## parse()

virtual void WP6Part::parse | ( | WP6Listener * | listener | ) |

pure virtual

Implemented in WP6AttributeGroup, WP6AttributeOffGroup, WP6AttributeOnGroup, WP6BoxGroup, WP6CharacterGroup, WP6ColumnGroup, WP6DisplayNumberReferenceGroup, WP6EOCFunction, WP6EOLFunction, WP6EOLGroup, WP6EOPFunction, WP6ExtendedCharacterGroup, WP6FootnoteEndnoteGroup, WP6HardSpaceFunction, WP6HeaderFooterGroup, WP6HighlightGroup, WP6HighlightOffGroup, WP6HighlightOnGroup, WP6HyphenFunction, WP6NumberingMethodGroup, WP6PageGroup, WP6ParagraphGroup, WP6SetNumberGroup, WP6SoftEOPFunction, WP6SoftHyphenFunction, WP6SpaceFunction, WP6StyleGroup, WP6TabGroup, WP6TableCellFunction, WP6TableOffAtSoftEOPFunction, WP6TableOffFunction, WP6TableRowAtEOCFunction, WP6TableRowAtEOPFunction, WP6TableRowAtSoftEOPFunction, WP6TableRowFunction, WP6UndoGroup, WP6UnsupportedFixedLengthGroup, and WP6UnsupportedVariableLengthGroup.

The documentation for this class was generated from the following files:

- WP6Part.h
- WP6Part.cpp